using Zurnal.domain.Models;
using Group = System.Text.RegularExpressions.Group;

namespace Zurnal.RemaDateBase
{
    public interface IGroupRepository
    {
        void AddGroup(Group group);
        Group GetGroupById(int id);
        IEnumerable<Group> GetAllGroups();
        void UpdateGroup(Group group);
        void DeleteGroup(int id);
    object GetAllGroup();
    bool RemoveGroupById(int groupID);
    bool UpdateGroupById(int groupID, GroupLocalEntity updatedGroup);
}
}